- Qt 6.5
- Qt 3D
- QML Types
- Qt3D.Render
- GraphicsApiFilter
- Qt 6.5.1 Reference Documentation

# GraphicsApiFilter QML Type

For OpenGL identifies the API required for the attached technique. More...

Import Statement: | import Qt3D.Render 2.5
Instantiates: | QGraphicsApiFilter
Inherits: | QtObject

- List of all members, including inherited members

## Properties

- api : enumeration
- extensions : stringlist
- majorVersion : int
- minorVersion : int
- profile : enumeration
- vendor : string

## Detailed Description

## Property Documentation

api : enumeration

Constant | Description
--- | ---
`OpenGLES` | QSurfaceFormat::OpenGLES
`OpenGL` | QSurfaceFormat::OpenGL

extensions : stringlist

majorVersion : int

minorVersion : int

profile : enumeration

Constant | Description
--- | ---
`NoProfile` | QSurfaceFormat::NoProfile
`CoreProfile` | QSurfaceFormat::CoreProfile
`CompatibilityProfile` | QSurfaceFormat::CompatibilityProfile

vendor : string